class Attachment < ApplicationRecord
  belongs_to :user

  def self.save_file(upload, user)
    dir = Rails.root.join('public', 'data')
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = upload.original_filename
    # fname.gsub!(/^\w\.\_/,"_")
    a = Attachment.new
    a.filename = fname
    a.mime = upload.content_type
    a.user = user
    a.save
    path = File.join(dir, a.id.to_s)
    File.open(path, 'wb') do |f| f.write(upload.read) end
    a.size = File.size(path)
    a.path = path
    a.save
  end
end
