class CreateEvents < ActiveRecord::Migration[5.1]
  def change
    create_table :events do |t|
      t.references :user, foreign_key: true
      t.string :title
      t.text :description
      t.datetime :deadline
      t.integer :priority, limit: 1

      t.timestamps
    end
  end
end
